--- old/usr/src/lib/libm/common/R/scalbnf.c	2014-10-27 12:36:59.337387237 -0400
+++ new/usr/src/lib/libm/common/R/scalbnf.c	2014-10-27 12:36:59.348851595 -0400
@@ -27,16 +27,14 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak scalbnf = __scalbnf
-#endif
 
 #include "libm.h"
 #include <float.h>		/* FLT_MAX, FLT_MIN */
 #include <stdlib.h>		/* abs */
 
 static const float twom25f = 2.98023223876953125e-8F;
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two23f = 8388608.0F;
 #else
 /*
@@ -55,7 +53,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 float
 scalbnf(float x, int n) {
@@ -72,7 +70,7 @@
 	if (ix == 0 || n == 0)
 		return (x);
 	if (k == 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two23f;
 		k = ((*px & ~0x80000000) >> 23) - 23;
 #else
